newbies question about mysql versions

Problems with the Linux version of XAMPP, questions, comments, and anything related.

newbies question about mysql versions

Postby argie01 » 21. July 2005 13:36

Hello,

I have some questions about how to upgrading mysql from 4.0.x to 4.1.x.
In fact, the problem is that most open source software I find use version 4.0.x.
So, I know there is a page on mysql.com about the upgrade. But this page is not a tutorial step by step. So, it's very hard to me understand how to migrate my databases from a version to another.

And this is the cause because I can't use the last versions of Xampp for linux.
I really don't know if there is a way to activate one of another version of the mysql in Xampp for linux (something similar to the switch from php5 to php4).

But on this point, I feel really frustrated because I can't use the last version of Xampp. And this is also a problem, because just in case I should upgrade just for a bug on PHP, I will not do it. So, on my server there will be a bug....

Sorry man, but my recommendation is you should do a more friendly guide than the mysql.com upgrade page.

Thank you very much.
argie01
 
Posts: 23
Joined: 19. July 2004 19:17

Postby Wiedmann » 21. July 2005 13:52

I have some questions about how to upgrading mysql from 4.0.x to 4.1.x.

In the latest XAMPP there is MySQL 4.1.x inside.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby argie01 » 21. July 2005 14:39

Yes, I know.

This is a problem. Because I have software using 4.0.x, and the latest xampp use 4.1.x. So, I understand I have to do some steps to upgrade the actual databases.
Because whether I use mysqldump to backup the databases, they will not work after do a restore on mysql 4.1.x.

So, I don't know what to do....
argie01
 
Posts: 23
Joined: 19. July 2004 19:17

Postby Wiedmann » 21. July 2005 14:44

Because whether I use mysqldump to backup the databases, they will not work after do a restore on mysql 4.1.x.

Ah, you have a problem with a database and not with the server.

Are there any error messages?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby argie01 » 21. July 2005 18:57

Sorry, right now I can't remenber the errors, because I did a test time ago...
This post is just for to know whether I have to do something special for a migration of databases from 4.0.x to 4.1.x.

regards
argie01
 
Posts: 23
Joined: 19. July 2004 19:17


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests